List Company Locations
import requests
url = "https://api.trysynch.com/Company/{companyReferenceId}/Locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Company/{companyReferenceId}/Locations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request GET \
--url https://api.trysynch.com/Company/{companyReferenceId}/Locations \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Company/{companyReferenceId}/Locations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Company/{companyReferenceId}/Locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": {
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"city": "<string>",
"zipCode": "<string>",
"state": "<string>",
"country": "<string>"
}
}
]
}Company
List Company Locations
Returns all Locations for the Company
GET
/
Company
/
{companyReferenceId}
/
Locations
List Company Locations
import requests
url = "https://api.trysynch.com/Company/{companyReferenceId}/Locations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://api.trysynch.com/Company/{companyReferenceId}/Locations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));curl --request GET \
--url https://api.trysynch.com/Company/{companyReferenceId}/Locations \
--header 'Authorization: Bearer <token>'using RestSharp;
var options = new RestClientOptions("https://api.trysynch.com/Company/{companyReferenceId}/Locations");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);falserequire 'uri'
require 'net/http'
url = URI("https://api.trysynch.com/Company/{companyReferenceId}/Locations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"locations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"address": {
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"city": "<string>",
"zipCode": "<string>",
"state": "<string>",
"country": "<string>"
}
}
]
}Authorizations
JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
Path Parameters
Response
OK
Show child attributes
Show child attributes
Last modified on July 21, 2026
Was this page helpful?
⌘I